package terminal_wrapper

func (c Cursor) GoHome() {
	c.terminal.EscapePrintf("H")
}

func (c Cursor) GotoXY(line, column int) {
	c.terminal.EscapePrintf("%d;%dH", line, column)
}

func (c Cursor) GoUp(lines int) {
	c.terminal.EscapePrintf("%dA", lines)
}

func (c Cursor) GoDown(lines int) {
	c.terminal.EscapePrintf("%dB", lines)
}

func (c Cursor) GoRight(columns int) {
	c.terminal.EscapePrintf("%dC", columns)
}

func (c Cursor) GoLeft(columns int) {
	c.terminal.EscapePrintf("%dD", columns)
}

func (c Cursor) GotoColumn(column int) {
	c.terminal.EscapePrintf("%dG", column)
}

func (c Cursor) Hide() {
	c.terminal.EscapePrintf("?25l")
}

func (c Cursor) Show() {
	c.terminal.EscapePrintf("25h")
}
